Loading...
Searching...
No Matches
prismtriangulation.cc File Reference
`#include <dune/common/fvector.hh>`
`#include <dune/common/typetraits.hh>`
`#include <dune/geometry/referenceelements.hh>`
`#include <dune/geometry/type.hh>`
`#include "base.cc"`
`#include "simplex.cc"`

Go to the source code of this file.

## Classes

class | Dune::RefinementImp::PrismTriangulation::RefinementImp< dimension_, CoordType >
| Implementation of the refinement of a prism into simplices. More...
struct | Dune::RefinementImp::PrismTriangulation::RefinementImp< dimension_, CoordType >::Codim< codimension >
class | Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, dimension >
class | Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, 0 >
class | Dune::RefinementImp::PrismTriangulation::RefinementImp< dimension_, CoordType >::Codim< codimension >

## Namespaces

namespace | Dune
namespace | Dune::RefinementImp
| This namespace contains the implementation of Refinement.
namespace | Dune::RefinementImp::PrismTriangulation
| This namespace contains the Refinement implementation for triangulating prisms (GeometryType::prism -> GeometryType::simplex).

## Macros

#define | DUNE_GEOMETRY_REFINEMENT_PRISMTRIANGULATION_CC

## Functions

template<int dimension, class CoordType>
FieldVector< CoordType, dimension > | Dune::RefinementImp::PrismTriangulation::transformCoordinate (FieldVector< CoordType, dimension > point)
template<int n>
FieldVector< int, n > | Dune::RefinementImp::PrismTriangulation::getPermutation (int m)
| Calculate permutation from it's index.
template<int dimension, class CoordType>
FieldVector< CoordType, dimension > | Dune::RefinementImp::PrismTriangulation::referenceToKuhn (FieldVector< CoordType, dimension > point, const FieldVector< int, dimension > &kuhn)
| Map from the reference simplex to some Kuhn simplex.

## Macro Definition Documentation

## DUNE_GEOMETRY_REFINEMENT_PRISMTRIANGULATION_CC

#define DUNE_GEOMETRY_REFINEMENT_PRISMTRIANGULATION_CC